Subject: bug#77825: our git linked with openssl, license is incompatible

From: Felix Lechner <[email-masked]>
Date: Thu, 01 May 2025 07:59:53 -0700

Hi Efraim,

On Thu, May 01 2025, Efraim Flashner wrote:

> gnutls wasn't a drop-in replacement

wolfSSL could be such a "drop-in" replacement. [1] Their OpenSSL
compatibility layer became popular when OpenSSL lost their FIPS rating
for a little while, but I ported software to it long before.

wolfSSL was once the captive TLS library for MySQL.  Excluded from
Orca's acquisition of MySQL, they struck out on their own.  wolfSSL is
popular in the embedded space, especially in cars and washing machines.

Kind regards
Felix

[1] https://www.wolfssl.com/wolfssl-supports-git/